View Issue Details

IDProjectCategoryView StatusLast Update
0004191ExpressionsBugpublic2020-01-13 19:37
Reporterlpala Assigned Towmayer  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19Fixed in Version0.19 
Summary0004191: Freecad 0.19pre crashes in spreadsheet
DescriptionDevelopment release crashes trying to edit spreadsheet values from cell and not formula area.
It happens on MacOS X 10.14
Steps To ReproduceOpen spreadsheet and edit any cell on site.
TagsMacOSX
FreeCAD InformationOS: macOS Mojave (10.14)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.18694 (Git)
Build type: Release
Branch: master
Hash: c3ba04183e016e15410d84bae4d00556d22c7da5
Python version: 3.7.3
Qt version: 5.12.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: Italian/Italy (it_IT)

Activities

Kunda1

2019-11-09 12:34

administrator   ~0013815

Note: @lpala per our guidelines (yellow banner above) we ask that users confirm their bugs on the forum, since they may get solved without opening a ticket.

CC @chrisb do you have the ability to test on MacOS?

lpala

2019-11-10 06:55

reporter   ~0013816

Sorry, I've searched before submitting and I haven't found any reference, so I submitted directly to mantis. Now i've opened a thread in forum.

chrisb

2019-11-10 10:12

developer   ~0013817

No issues here. Details of test in forum discussion

OS: macOS High Sierra (10.13)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.18644 (Git)
Build type: Release
Branch: master
Hash: 481870be2b48ef95b59acf1440b069d42b6fad23
Python version: 3.7.3
Qt version: 5.12.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/Germany (en_DE)

wmayer

2020-01-13 16:08

administrator   ~0014068

https://github.com/FreeCAD/FreeCAD/commit/00b3aa5cfa4d0842c0191246015d5733f0eba24e#diff-36b06bbace00fdd47e9c549f322084c4

Kunda1

2020-01-13 19:35

administrator   ~0014069

Last edited: 2020-01-13 19:37

View 2 revisions

FreeCAD master 00b3aa5c

Edit: attached ticket to commit via the MantisBT Source Integration UI

Related Changesets

FreeCAD: master 00b3aa5c

2019-12-16 13:41:03

wmayer

Details Diff
SpreadSheet: [skip ci] fix crash when changing data inside a spread sheet Affected Issues
0004191
mod - src/Mod/Spreadsheet/Gui/SpreadsheetDelegate.cpp Diff File

Issue History

Date Modified Username Field Change
2019-11-09 11:12 lpala New Issue
2019-11-09 12:34 Kunda1 Status new => feedback
2019-11-09 12:34 Kunda1 Note Added: 0013815
2019-11-09 12:35 Kunda1 Tag Attached: #post-to-forum
2019-11-09 12:35 Kunda1 Project FreeCAD => Expressions
2019-11-10 06:55 lpala Note Added: 0013816
2019-11-10 06:55 lpala Status feedback => new
2019-11-10 10:12 chrisb Note Added: 0013817
2019-11-11 10:52 Kunda1 Tag Detached: #post-to-forum
2019-11-11 10:52 Kunda1 Tag Attached: #pending-forum
2019-11-11 10:52 Kunda1 Tag Attached: MacOSX
2020-01-11 12:46 Kunda1 Status new => confirmed
2020-01-11 12:46 Kunda1 Target Version => 0.19
2020-01-13 16:08 wmayer Status confirmed => closed
2020-01-13 16:08 wmayer Resolution open => fixed
2020-01-13 16:08 wmayer Fixed in Version => 0.19
2020-01-13 16:08 wmayer Note Added: 0014068
2020-01-13 19:35 Kunda1 Note Added: 0014069
2020-01-13 19:36 Kunda1 Tag Detached: #pending-forum
2020-01-13 19:36 Kunda1 Changeset attached => FreeCAD master 00b3aa5c
2020-01-13 19:37 Kunda1 Note Edited: 0014069 View Revisions
2020-01-13 19:37 Kunda1 Assigned To => wmayer